diff --git a/Makefile.am b/Makefile.am
--- a/Makefile.am
+++ b/Makefile.am
@@ -243,6 +243,10 @@ EXTRA_DIST = \
 
 endif
 
+if AARCH64
+libcortex_strings_la_SOURCES =
+endif
+
 # Options for the tests
 tests_cflags = -I$(srcdir)/tests $(AM_CFLAGS) -std=gnu99
 tests_ldadd = libcortex-strings.la
diff --git a/configure.ac b/configure.ac
--- a/configure.ac
+++ b/configure.ac
@@ -24,7 +24,7 @@
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 AC_INIT(cortex-strings, 1.1-2012.06~dev)
-AM_INIT_AUTOMAKE(foreign subdir-objects color-tests dist-bzip2)
+AM_INIT_AUTOMAKE(foreign subdir-objects color-tests dist-bzip2 parallel-tests)
 AC_CONFIG_HEADERS([config.h])
 AC_CONFIG_FILES(Makefile)
 AC_CANONICAL_HOST
@@ -58,11 +58,15 @@ case $host in
 arm*-*-*)
   arch=aarch32
   ;;
+aarch64*-*-*)
+  arch=aarch64
+  ;;
 *)
   AC_MSG_ERROR([unknown architecture $host])
   ;;
 esac
 
 AM_CONDITIONAL([AARCH32], [test x$arch = xaarch32])
+AM_CONDITIONAL([AARCH64], [test x$arch = xaarch64])
 
 AC_OUTPUT
